"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.activate = void 0;
const vscode = require("vscode");
function activate(context) {
    let disposable = vscode.commands.registerCommand('pasteoneline.paste', () => {
        vscode.env.clipboard.readText().then((text) => {
            let oneline = text.replace(/\s+/g, ' ');
            let jsformat = JSON.stringify(oneline);
            vscode.env.clipboard.writeText(jsformat.slice(1, -1)).then(() => {
                vscode.commands.executeCommand('editor.action.clipboardPasteAction');
                vscode.env.clipboard.writeText(text);
            });
        });
    });
    context.subscriptions.push(disposable);
}
exports.activate = activate;
//# sourceMappingURL=extension.js.map